VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::BootStub Class Reference

Remote stub implementation of the Boot API service. More...

Inherits vmware::vcenter::vm::hardware::Boot.

List of all members.

## Public Member Functions
| BootStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.vcenter.vm.hardware.BootTypes.Info | Get (string vm)
| Returns the boot-related settings of a virtual machine.
vmware.vcenter.vm.hardware.BootTypes.Info | Get (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the boot-related settings of a virtual machine.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.BootTypes.Info > | GetAsync (string vm)
| Returns the boot-related settings of a virtual machine.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.BootTypes.Info > | GetAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the boot-related settings of a virtual machine.
void | Update (string vm, vmware.vcenter.vm.hardware.BootTypes.UpdateSpec spec)
| Updates the boot-related settings of a virtual machine.
void | Update (string vm, vmware.vcenter.vm.hardware.BootTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the boot-related settings of a virtual machine.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, vmware.vcenter.vm.hardware.BootTypes.UpdateSpec spec)
| Updates the boot-related settings of a virtual machine.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, vmware.vcenter.vm.hardware.BootTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the boot-related settings of a virtual machine.

## Detailed Description

Remote stub implementation of the Boot API service.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::BootStub::BootStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.vcenter.vm.hardware.BootTypes.Info vmware::vcenter::vm::hardware::BootStub::Get | ( | string | vm | ) | `[inline]`

Returns the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  Boot-related settings of the virtual machine.

Implements vmware::vcenter::vm::hardware::Boot.

vmware.vcenter.vm.hardware.BootTypes.Info vmware::vcenter::vm::hardware::BootStub::Get | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Boot-related settings of the virtual machine.

Implements vmware::vcenter::vm::hardware::Boot.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.BootTypes.Info> vmware::vcenter::vm::hardware::BootStub::GetAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Boot-related settings of the virtual machine.

Implements vmware::vcenter::vm::hardware::Boot.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.BootTypes.Info> vmware::vcenter::vm::hardware::BootStub::GetAsync | ( | string | vm | ) | `[inline]`

Returns the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  Boot-related settings of the virtual machine.

Implements vmware::vcenter::vm::hardware::Boot.

void vmware::vcenter::vm::hardware::BootStub::Update | ( | string | vm,
|  | vmware.vcenter.vm.hardware.BootTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.InvalidArgument | if one of the provided settings is not permitted; for example, specifying a negative value for `delay` .
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for updating the boot-related settings of the virtual machine.

Implements vmware::vcenter::vm::hardware::Boot.

void vmware::vcenter::vm::hardware::BootStub::Update | ( | string | vm,
|  | vmware.vcenter.vm.hardware.BootTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.InvalidArgument | if one of the provided settings is not permitted; for example, specifying a negative value for `delay` .
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for updating the boot-related settings of the virtual machine.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Boot.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::BootStub::UpdateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.BootTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.InvalidArgument | if one of the provided settings is not permitted; for example, specifying a negative value for `delay` .
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for updating the boot-related settings of the virtual machine.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Boot.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::BootStub::UpdateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.BootTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the boot-related settings of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.InvalidArgument | if one of the provided settings is not permitted; for example, specifying a negative value for `delay` .
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for updating the boot-related settings of the virtual machine.

Implements vmware::vcenter::vm::hardware::Boot.

The documentation for this class was generated from the following file:

- BootStub.cs